Tech Support Forum banner
Status
Not open for further replies.
1 - 4 of 4 Posts

·
Registered
Joined
·
1 Posts
Discussion Starter · #1 ·
In trying to install Elements 8 the message comes up: The minimum system requirements listed below are needed to run Adobe Photoshop Elements 8 and are not met: This product does not support Power PC Architecture CPU"

I have a Mac PowerBook G4... Please Help. Thank you!:sigh:
 

·
Macintosh Methodology Wizard - TSF Retired
Joined
·
13,608 Posts
The G4 is a PowerPC CPU, and the message says that it doesn't support PowerPC CPUs. You will need to find a version of Elements that does support your Mac.
 

·
Registered
Joined
·
1 Posts
I get the same message - using the version that is supposed to work on Macs with OS X version 10.5.8. Didn't see anything at the ADOBE web site that would have warned me of this prob.
Have you been able to resolve? I'm not clear on how a version of software supports my Mac - thought it worked the other way around. Any suggestions of what WOULD be supported?
 

·
Macintosh Methodology Wizard - TSF Retired
Joined
·
13,608 Posts
With Macs you have to match the OS X version, and the CPU type. OS X 10.5 will run on PowerPC CPUs and Intel CPUs, but PSE8 will only run in Intel CPUs. So, G4s and G5s will not run it. If you have one of those, then you need PSE6.
 
1 - 4 of 4 Posts
Status
Not open for further replies.
Top